# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/ata/allwinner,sun4i-a10-ahci.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A10 AHCI SATA Controller bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

properties:
  compatible:
    const: allwinner,sun4i-a10-ahci

  reg:
    maxItems: 1

  clocks:
    items:
      - description: AHCI Bus Clock
      - description: AHCI Module Clock

  interrupts:
    maxItems: 1

  target-supply:
    description: Regulator for SATA target power

required:
  - compatible
  - reg
  - clocks
  - interrupts

additionalProperties: false

examples:
  - |
    ahci: sata@1c18000 {
        compatible = "allwinner,sun4i-a10-ahci";
        reg = <0x01c18000 0x1000>;
        interrupts = <56>;
        clocks = <&pll6 0>, <&ahb_gates 25>;
        target-supply = <&reg_ahci_5v>;
    };
